Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.quality
Interface QualityQueryParser

All Known Implementing Classes:
  SimpleQQParser

    public interface QualityQueryParser

Parse a QualityQuery into a Lucene query.

Method Summary
`Query` | `parse(QualityQuery qq)` Parse a given QualityQuery into a Lucene query.

Method Detail

### parse

    Query parse(QualityQuery qq)
                throws ParseException

  Parse a given QualityQuery into a Lucene query.

  Parameters:
    `qq` - the quality query to be parsed.
  Throws:
    `ParseException` - if parsing failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.